
.contents_common .pagetop {
    position: fixed;
    bottom: 100px;
    right: 42px;
    height: 60px;
    width: 68px;

}
.contents_common .pagetop a {
    /*position: absolute;
    top: -32px;
    
    */
    display: block;
    width: 68px;
    height: 68px;
    background: #2d2d2d;
    color: #fff;
    text-align: center;
    line-height: 68px;
    font-size: 2.2rem;
    border-radius: 50%;
    box-shadow: 0 2px 5px rgba(0,0,0,.16),0 2px 10px rgba(0,0,0,.12);
    z-index: 999;
}
.contents_common .pagetop a:hover {
    
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    box-shadow: 2px 2px 0 rgba(0,0,0,.1);
    -webkit-transform: translateY(-5px);
    transform: translateY(-5px);
}
.contents_common .pagetop .fa,
.contents_common .pagetop a:hover {
    color: #fff;
}
.contents_common .pagetop_inner {
    position: relative;
    display: block;
}
.contents_common .pagetop_inner .fa {
    top: 5px;
}
.contents_common .pagetop_inner .fa,
.contents_common .pagetop_inner .pagetop_txt {
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
}
.contents_common .pagetop_inner .pagetop_txt {
    top: 27px;
    font-size: 1.6rem;
    line-height: 1.4;
}

.contents_common .pagetop_fixed {
	position: fixed;
	pointer-events: none;
	left: 0;
	bottom: 50px;
	width: 100%;
	background-color: hsla(0,0%,100%,0);
}
.contents_common .pagetop_fixed a {
	z-index: 3;
	pointer-events: auto;
}

@media screen and (max-width:640px) {
  .contents_common .pagetop {
    height: 30px;
  }
  .contents_common .pagetop.pagetop_fixed {
    background: rgba(0,0,0,0);
  }
  .contents_common .pagetop a {
    width: 44px;
    height: 44px;
    right: 8px;
    top: -20px;
  }
  .contents_common .pagetop.pagetop_fixed a {
    top: -62px;
  }
  .contents_common .pagetop_inner .fa {
    top: 1px;
  }
  .contents_common .pagetop_inner .pagetop_txt {
    top: 20px;
    font-size: 1.2rem;
  }
}
